Bug 1051279 (CVE-2013-6469) - CVE-2013-6469 RTgov: Remote Java Code Execution in MVEL
Summary: CVE-2013-6469 RTgov: Remote Java Code Execution in MVEL
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2013-6469
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20140409,repo...
Depends On: 1005275
Blocks: 1061967
TreeView+ depends on / blocked
 
Reported: 2014-01-10 00:40 UTC by Pavel Polischouk
Modified: 2019-06-13 14:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-09 13:17:02 UTC


Attachments (Terms of Use)

Description Pavel Polischouk 2014-01-10 00:40:58 UTC
A code execution vulnerability has been discovered in JBoss SOA RTgov. The flaw allows remote authenticated attackers to submit arbitrary Java code in MVEL expressions submitted through RTgov, the code would be executed within the security context of the application server.

Comment 2 Pavel Polischouk 2014-04-09 13:17:02 UTC
Statement:

This issue does not affect RTgov as shipped with Red Hat JBoss Fuse Service Works 6. It may affect earlier versions of the upstream JBoss Overlord RTGov project.

In Red Hat JBoss Fuse Service Works 6, this flaw is mitigated by configuration options that either remove the vulnerable interface, or constrain it using a Java Security Manager policy. These options are documented in the Installation and Security Guides for the product.


Note You need to log in before you can comment on or make changes to this bug.